package com.xjrsoft.module.textbook.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.textbook.dto.AddCourseToSubjectGroupDto;
import com.xjrsoft.module.textbook.dto.AddSubjectGroupDto;
import com.xjrsoft.module.textbook.dto.UpdateSubjectGroupDto;
import com.xjrsoft.module.textbook.entity.SubjectGroup;

import java.util.List;

/**
* @title: 学科组管理
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/

public interface ISubjectGroupService extends MPJBaseService<SubjectGroup> {
    Boolean add(AddSubjectGroupDto dto);

    Boolean addCourse(AddCourseToSubjectGroupDto dto);

    Boolean updateCourse(UpdateSubjectGroupDto dto);

    Boolean delete(List<Long> ids);

}
